{=========================================================================
  RkStsEdt Unit

  This unit implements the TRkClockFormatProperty editor. This editor is
  used for the Format property of the TRkClockStatus component. This
  editor updates the value of the property after each key press instead
  of waiting until the Enter key is pressed.

  Developing Custom Delphi 3 Components
  Copyright  1995-1997 by Ray Konopka
=========================================================================}

unit RkStsEdt;

interface

uses
  Classes, DsgnIntf;

type
  TRkClockFormatProperty = class( TStringProperty )
  public
    function GetAttributes : TPropertyAttributes; override;
    procedure GetValues( Proc : TGetStrProc ); override;
  end;

procedure Register;

implementation

uses
  RkStatus;

{====================================}
{== TRkClockFormatProperty Methods ==}
{====================================}

function TRkClockFormatProperty.GetAttributes : TPropertyAttributes;
begin
  Result := [ paValueList, paMultiSelect, paAutoUpdate ];
end;


procedure TRkClockFormatProperty.GetValues( Proc : TGetStrProc );
begin
  Proc( 'c' );
  Proc( 'dddddd tt' );
  Proc( 'ddddd t' );
  Proc( 'dddddd' );
  Proc( 'ddddd' );
  Proc( 'm/d/yy' );
  Proc( 'mm/dd/yy' );
  Proc( 't' );
  Proc( 'tt' );
  Proc( 'h:n:s a/p' );
  Proc( 'hh:nn:ss am/pm' );
  Proc( 'h:n:s' );
  Proc( 'hh:nn:ss' );
end;


{========================}
{== Register Procedure ==}
{========================}

procedure Register;
begin
  // The TRkClockFormatProperty is only registered for the Format
  // property of the TRkClockStatus component.
  RegisterPropertyEditor( TypeInfo( string ), TRkClockStatus, 'Format',
                          TRkClockFormatProperty );
end;

end.
